package org.dromara.system.service;

import org.dromara.system.domain.AskLeave;
import org.dromara.system.domain.vo.AskLeaveVo;
import org.dromara.system.domain.bo.AskLeaveBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 请假Service接口
 *
 * @author boman
 * @date 2024-11-04
 */
public interface IAskLeaveService {

    /**
     * 查询请假
     */
    AskLeaveVo queryById(Long id);

    /**
     * 查询请假列表
     */
    TableDataInfo<AskLeaveVo> queryPageList(AskLeaveBo bo, PageQuery pageQuery);

    /**
     * 查询请假列表
     */
    List<AskLeaveVo> queryList(AskLeaveBo bo);

    /**
     * 新增请假
     */
    Boolean insertByBo(AskLeaveBo bo);

    /**
     * 修改请假
     */
    Boolean updateByBo(AskLeaveBo bo);

    /**
     * 校验并批量删除请假信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    int deleteWithValidById(Long id, Boolean b);

    int sh(AskLeaveBo bo);
}
